summaryrefslogtreecommitdiff
path: root/dev-ruby/diva
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /dev-ruby/diva
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'dev-ruby/diva')
-rw-r--r--dev-ruby/diva/Manifest1
-rw-r--r--dev-ruby/diva/diva-2.0.1.ebuild32
-rw-r--r--dev-ruby/diva/metadata.xml12
3 files changed, 45 insertions, 0 deletions
diff --git a/dev-ruby/diva/Manifest b/dev-ruby/diva/Manifest
new file mode 100644
index 000000000000..cae67922b964
--- /dev/null
+++ b/dev-ruby/diva/Manifest
@@ -0,0 +1 @@
+DIST diva-2.0.1.tar.gz 16964 BLAKE2B 768f9fa670db229db424a069adcfa4706c2b9969d143cffbbaeeafc9b1a2eeaa6b4a1c53de90206a4625f65f89a2c478957c3b53a21eb00f89a470e6071a6d57 SHA512 248f2b9770bd8d097fdfd7edfd574358d3e47c907d8c7e15b6e4b9cc5b72e9b7b428bac211e4d5a4e516c206afb82ecb069103c85835a1c65ed646e68e4a0a6e
diff --git a/dev-ruby/diva/diva-2.0.1.ebuild b/dev-ruby/diva/diva-2.0.1.ebuild
new file mode 100644
index 000000000000..16dfc22456d6
--- /dev/null
+++ b/dev-ruby/diva/diva-2.0.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="diva.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Implementation of expression for handling things"
+HOMEPAGE="https://github.com/toshia/diva https://rubygems.org/gems/diva"
+SRC_URI="https://github.com/toshia/diva/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+ruby_add_rdepend "<dev-ruby/addressable-2.9"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/ s:^:#:' Rakefile || die
+ sed -i -e '/addressable/ s/2.8/2.9/' -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid unneeded dependency on simplecov
+ sed -i -e '/simplecov/I s:^:#:' -e '1irequire "json"' test/test_helper.rb || die
+}
diff --git a/dev-ruby/diva/metadata.xml b/dev-ruby/diva/metadata.xml
new file mode 100644
index 000000000000..462b43db6d98
--- /dev/null
+++ b/dev-ruby/diva/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="rubygems">diva</remote-id>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>